\name{stamCV-class}
\docType{class}
\alias{stamCV-class}
\alias{initialize,stamCV-method}
\alias{print,stamCV-method}
\alias{writeHTML,stamCV-method}

\title{Cross Validation Information Generated by StAM}
\description{
  Objects if this class are generated by \code{stam.cv}. It contains results of cross 
  validated model fits generated in structured analysis of microarrays in order to choose
  graph shrinkage levels.
}
\section{Objects from the Class}{
  Objects can be created by calls of the form 
  \code{new("stamCV", exprs, classifications, beta, chip, root)}, but it is recommended 
  the use the function \code{stam.cv}.
}
\section{Slots}{
  \describe{
    \item{\code{sample.labels}:}{Object of class \code{"character"}, names of samples}
    \item{\code{sample.classes}:}{Object of class \code{"character"}, class names for 
      each sample}
    \item{\code{class.labels}:}{Object of class \code{"character"}, one name for each 
      class}
    \item{\code{prior}:}{Object of class \code{"numeric"}, prior class probabilities 
      according to prevalence}
    \item{\code{beta}:}{Object of class \code{"numeric"}, class weights, one per class}
    \item{\code{full.pamfit}:}{Object of class \code{"nsc"}, PAM fit on all probesets}
    \item{\code{probs}:}{Object of class \code{"array"}, matrix of cross validated 
      prediction probabilities [samples x classes x nodes]}
    \item{\code{folds}:}{Object of class \code{"list"}, buckets used in cross validation}
    \item{\code{results}:}{Object of class \code{"data.frame"}, cross-validated root 
      error rate, root performance and mean redundancy as well as remaining nodes and 
      the accessible probesets for each delta}
    \item{\code{node.results}:}{Object of class \code{"list"}, performance, redundancy, 
      sensitivity and specificity per node}
    \item{\code{max.leafdev}:}{Object of class \code{"numeric"}, performance of worst 
      leaf node}
    \item{\code{deltas}:}{Object of class \code{"numeric"}, shrinkage candidates}
  }
  See \code{stamNet-class} for slots \code{chip}, \code{root}, \code{chippkg}, 
  \code{GOpkg}, \code{nodes}, \code{leafs}, \code{inodes} and \code{probes}.
}
\section{Extends}{
  Class \code{"stamNet"}, directly.
}
\section{Methods}{
  \describe{
    \item{print}{\code{signature(x = "stamCV")}: print information on cross validation}
    \item{writeHTML}{\code{signature(x = "stamCV")}: generate HTML information on cross 
      validation. However, using \code{stam.writeHTML} is recommended.}
  }
}
\author{Claudio Lottaz}
\seealso{\code{\link{stam.cv}}, \code{\link{stamNet-class}}}
\keyword{classes}
